%define anolis_release 2

%global with_govirt 0
%global with_spice 1

Name: virt-viewer
Version: 11.0
Release: %{anolis_release}%{dist}
Summary: Virtual Machine Viewer
License: GPLv2+
URL: https://gitlab.com/virt-viewer/virt-viewer
Source0: https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz
Patch1001: 1001-fix-meson-build-failure.patch
Requires: openssh-clients

# Our bash completion script uses virsh to list domains
Requires: libvirt-client

BuildRequires: gcc
BuildRequires: meson >= 0.56.0
BuildRequires: /usr/bin/pod2man
BuildRequires: gettext
BuildRequires: pkgconfig(bash-completion) >= 2.0
BuildRequires: pkgconfig(glib-2.0) >= 2.48
BuildRequires: pkgconfig(gmodule-2.0) >= 2.48
BuildRequires: pkgconfig(gtk+-3.0) >= 3.18
BuildRequires: pkgconfig(gtk-vnc-2.0) >= 0.4.0
BuildRequires: pkgconfig(libvirt) >= 1.2.8
BuildRequires: pkgconfig(libvirt-glib-1.0) >= 0.1.8
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires: pkgconfig(vte-2.91)
%if %{with_spice}
BuildRequires: pkgconfig(spice-client-glib-2.0) >= 0.35
BuildRequires: pkgconfig(spice-client-gtk-3.0) >= 0.35
BuildRequires: pkgconfig(spice-protocol) >= 0.12.7
%endif
%if %{with_govirt}
BuildRequires: pkgconfig(govirt-1.0) >= 0.3.7
BuildRequires: pkgconfig(rest-0.7) >= 0.8
%endif

%description
Virtual Machine Viewer provides a graphical console client for connecting
to virtual machines. It uses the GTK-VNC or SPICE-GTK widgets to provide
the display, and libvirt for looking up VNC/SPICE server details.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build

%define buildid_opt -Dbuild-id=%{release}

%if !%{with_govirt}
%define ovirt_opt -Dovirt=disabled
%endif

%if !%{with_spice}
%define spice_opt -Dspice=disabled
%endif

%meson %{buildid_opt} %{?ovirt_opt} %{?spice_opt}
%meson_build

%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/remote-viewer
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/metainfo/remote-viewer.appdata.xml
%{_datadir}/mime/packages/virt-viewer-mime.xml
%{_mandir}/man1/virt-viewer.1*
%{_mandir}/man1/remote-viewer.1*
%{_datadir}/bash-completion/completions/virt-viewer
%dir %{abidir}
%{abidir}/remote-viewer-option.list
%{abidir}/virt-viewer-option.list
%license COPYING

%files doc
%doc README.md AUTHORS NEWS

%changelog
* Tue Apr 04 2023 Funda Wang <fundawang@yeah.net> - 11.0-2
- Disable govirt for anolis 23, as we have rest-1.0 but virt-viewer
  requires rest-0.7

* Wed Mar 15 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 11.0-1
- Init package from upstream
